---
id: mircrew
name: MIRCrew
description: "MIRCrew is an ITALIAN Semi-Private Torrent Tracker for MOVIES / TV / GENERAL"
language: it-IT
type: semi-private
encoding: UTF-8
links:
  - https://mircrew-releases.org/

caps:
  # commented out categories are discussion-only forums
  categorymappings:
    # - {id: 1, cat: Other, desc: "MIRCrew Sharing Community"}
    # - {id: 2, cat: Other, desc: "Piazza Grande"}
    # - {id: 4, cat: Other, desc: "PG Statuto & Regole"}
    # - {id: 5, cat: Other, desc: "PG Info Point"}
    # - {id: 6, cat: Other, desc: "PG Presentazioni"}
    # - {id: 7, cat: Other, desc: "PG Off Topic"}
    # - {id: 49, cat: Other, desc: "PG Segnalazioni allo Staff"}
    # - {id: 3, cat: Other, desc: "Comunicazioni, Annunci & Guide"}
    # - {id: 8, cat: Other, desc: "CAG Comunicazioni da MIRCrew"}
    # - {id: 9, cat: Other, desc: "CAG Guide & Tutorial"}
    # - {id: 11, cat: Other, desc: "Progetti & Collezioni"}
    # - {id: 12, cat: Other, desc: "P&C Pir8 Channel"}
    # - {id: 13, cat: Other, desc: "P&C Progetti"}
    # - {id: 61, cat: Other, desc: "P&C Video"}
    # - {id: 62, cat: Other, desc: "P&C Animazione"}
    # - {id: 63, cat: Other, desc: "P&C Libreria"}
    # - {id: 64, cat: Other, desc: "P&C Musica"}
    # - {id: 14, cat: Other, desc: "P&C Collezioni"}
    # - {id: 50, cat: Other, desc: "P&C Proposte & Richieste"}
    # - {id: 60, cat: Other, desc: "P&C Abbandonati"}
    # - {id: 15, cat: Other, desc: "Area Grafica"}
    # - {id: 16, cat: Other, desc: "AG Vetrina MIRCrew"}
    # - {id: 17, cat: Other, desc: "AG Vetrina Utenti"}
    # - {id: 18, cat: Other, desc: "AG Richieste Grafica"}
    # - {id: 19, cat: Other, desc: "Area Staff"}
    # - {id: 20, cat: Other, desc: "AS Membri MIRCrew"}
    # - {id: 21, cat: Other, desc: "AS Reclutamento MIRCrew"}
    # - {id: 23, cat: Other, desc: "AS Archivio"}
    - {id: 25, cat: Movies, desc: "Video Releases", default: true}
    - {id: 26, cat: Movies, desc: "Releases Film", default: true}
    # - {id: 28, cat: TV, desc: "Releases Serie TV"}
    - {id: 51, cat: TV, desc: "Releases TV Stagioni in corso", default: true}
    - {id: 52, cat: TV, desc: "Releases TV Stagioni complete", default: true}
    - {id: 29, cat: TV/Documentary, desc: "Documentari", default: true}
    - {id: 30, cat: TV, desc: "TV Show", default: true}
    - {id: 31, cat: TV, desc: "Teatro", default: true}
    # - {id: 32, cat: Movies, desc: "Richieste Video"}
    # - {id: 53, cat: Movies, desc: "Richieste Film"}
    # - {id: 54, cat: TV, desc: "Richieste Serie TV"}
    # - {id: 55, cat: Movies, desc: "Richieste Video diverse"}
    # - {id: 57, cat: Movies, desc: "Richieste Video Soddisfatte"}
    - {id: 33, cat: TV/Anime, desc: "Animazione Releases", default: true}
    - {id: 34, cat: Movies/Other, desc: "Anime - Movies", default: true}
    - {id: 35, cat: TV/Anime, desc: "Anime - Serie", default: true}
    - {id: 36, cat: Movies/Other, desc: "Cartoon - Movies", default: true}
    - {id: 37, cat: TV/Anime, desc: "Cartoon - Serie", default: true}
    # - {id: 38, cat: TV/Anime, desc: "Richieste Animazione", default: true}
    # - {id: 58, cat: TV/Anime, desc: "Richieste Animazione Soddisfatte", default: true}
    - {id: 39, cat: Books, desc: "Libreria Releases", default: true}
    - {id: 40, cat: Books/EBook, desc: "E-Books", default: true}
    - {id: 41, cat: Audio/Audiobook, desc: "A-Books", default: true}
    - {id: 42, cat: Books/Comics, desc: "Comics", default: true}
    - {id: 43, cat: Books/Mags, desc: "Edicola", default: true}
    # - {id: 44, cat: Books, desc: "Richieste Libreria"}
    # - {id: 59, cat: Books, desc: "Richieste Libreria Soddisfatte"}
    - {id: 45, cat: Audio, desc: "Music Releases", default: true}
    - {id: 46, cat: Audio, desc: "Musica - Audio", default: true}
    - {id: 47, cat: Audio/Video, desc: "Musica - Video", default: true}
    # - {id: 48, cat: Audio, desc: "Richieste Musica"}
    # - {id: 56, cat: Audio, desc: "Richieste Musica Soddisfatte"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: radarr_compatibility
    type: checkbox
    label: Improve Radarr compatibility by removing translated titles from movie results
    default: false

login:
  path: ucp.php?mode=login
  method: form
  form: form#login
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    autologin: on
    viewonline: on
  error:
    - selector: div.error
  test:
    path: index.php
    selector: a[href^="./ucp.php?mode=logout&sid="]

download:
  before:
    # thankyou link: ./viewtopic.php?f=52&p=65417&thanks=65417&to_id=54&from_id=3950
    pathselector:
      selector: ul.post-buttons li:nth-last-child(1) a
      attribute: href
  selectors:
    - selector: a[href*="magnet:?xt="]
      attribute: href
      filters:
        - name: re_replace
          args: ["\n", ""]

search:
  paths:
    - path: search.php
  keywordsfilters:
    # strip season and/or ep
    - name: re_replace
      args: ["\\b(?:[SE]\\d{1,4}){1,2}\\b", ""]
    - name: re_replace
      args: ["(\\w+)", "+$1"] # prepend + to each word
  inputs:
    keywords: "{{ if .Keywords }}{{ .Keywords }}{{ else }}{{ .Today.Year }}{{ end }}"
    # all, any
    terms: all
    # Search in subforums: yes 1, no 0
    sc: 0
    # Search For: all, msgonly, titleonly, firstpost
    sf: titleonly
    # Show Results as: posts, topics
    sr: topics
    # sort: a author, t post time, f forum, i title, s post subject
    sk: t
    # order: a ascending, d descending
    sd: d
    # Seach Posts For: all 0, 1day 1, week 7, fortnight 14, month 30, 3months 90, 6 months 180, year 365
    st: 0
    # Show first: all -1, 0, 25, 50, 100, 200, 300, 400, 500, 600, 700, 800, 900, 1000
    ch: 300
    # hidden
    t: 0
    # hidden
    submit: Cerca
    $raw: "{{ range .Categories }}&fid[]={{.}}{{end}}"

  headers:
    User-Agent: ["Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36 Edg/115.0.1901.203"]

  rows:
    selector: li.row

  fields:
    category:
      selector: a[href^="./viewforum.php?f="]
      attribute: href
      filters:
        - name: querystring
          args: f
    _is_movie:
      selector: a[href^="./viewforum.php?f="]
      attribute: href
      case:
        a[href*="f=25"]: yes
        a[href*="f=26"]: yes
        a[href*="f=34"]: yes
        a[href*="f=36"]: yes
        "*": no
    title:
      selector: a.topictitle
      filters:
        # normalize Stagione xx to Sxx format
        - name: re_replace
          args: ["(?i)\\bStagion[ei] (\\d{1,3}(?:-\\d{1,3})?)\\b\\s*(.+?)\\s*(?:\\[IN CORSO\\])?\\s*\\[(\\d{1,3}(?:-\\d{1,3})?)\\/(\\d{1,3})\\]", "S$1E$3 of $4 $2"]
        - name: re_replace
          args: ["(?i)\\bStagion[ei] (\\d{1,3}(?:-\\d{1,3})?)\\b\\s*(.+?)\\s*(?:\\[IN CORSO\\])?\\s*\\[(\\d{1,3}(?:-\\d{1,3})?)\\]", "S$1E$3 $2"]
        - name: re_replace
          args: ["(?i)\\bStagion[ei] (\\d{1,3}(?:-\\d{1,3})?)\\b", "S$1"]
        - name: re_replace
          args: ["(?i)\\s*(?:\\[IN CORSO\\])?\\s*\\[(\\d{1,3}(?:-\\d{1,3})?)\\/(\\d{1,3})\\]", " E$1 of $2"]
        - name: re_replace
          args: ["(?i)^(.+ )(- .+? )(\\((?:19|20)\\d{2})", "{{ if and (eq .Result._is_movie \"yes\") (.Config.radarr_compatibility) }}$1$3{{ else }}$1$2$3{{ end }}"]
    details:
      selector: a.topictitle
      attribute: href
    download:
      selector: a.topictitle
      attribute: href
    size_title:
      selector: a.topictitle
      filters:
        - name: regexp
          args: "(?i)[\\[\\({](1?\\d{1,3}(?:[\\.,]\\d{1,2})?\\s*[KMGTP]?i?B)[\\]\\)}]"
    _is_4k:
      selector: a.topictitle
      filters:
        - name: regexp
          args: "(?i)\\b(2160p|4K|UHD)\\b"
    size_default:
      selector: a[href^="./viewforum.php?f="]
      attribute: href
      case:
        a[href*="f=25"]: "{{ if .Result._is_4k }}15GB{{ else }}10GB{{ end }}"
        a[href*="f=26"]: "{{ if .Result._is_4k }}15GB{{ else }}10GB{{ end }}"
        a[href*="f=34"]: "{{ if .Result._is_4k }}15GB{{ else }}10GB{{ end }}"
        a[href*="f=36"]: "{{ if .Result._is_4k }}15GB{{ else }}10GB{{ end }}"
        a[href*="f=51"]: "{{ if .Result._is_4k }}5GB{{ else }}2GB{{ end }}"
        a[href*="f=52"]: "{{ if .Result._is_4k }}5GB{{ else }}2GB{{ end }}"
        a[href*="f=29"]: "{{ if .Result._is_4k }}5GB{{ else }}2GB{{ end }}"
        a[href*="f=30"]: "{{ if .Result._is_4k }}5GB{{ else }}2GB{{ end }}"
        a[href*="f=31"]: "{{ if .Result._is_4k }}5GB{{ else }}2GB{{ end }}"
        a[href*="f=33"]: "{{ if .Result._is_4k }}5GB{{ else }}2GB{{ end }}"
        a[href*="f=35"]: "{{ if .Result._is_4k }}5GB{{ else }}2GB{{ end }}"
        a[href*="f=37"]: "{{ if .Result._is_4k }}5GB{{ else }}2GB{{ end }}"
        "*": 512MB
    size:
      text: "{{ if .Result.size_title }}{{ .Result.size_title }}{{ else }}{{ .Result.size_default }}{{ end }}"
    seeders:
      text: 1
    leechers:
      text: 1
    date:
      selector: time[datetime]
      attribute: datetime
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
    description:
      selector: a.topictitle
# phpBB
